#ifndef GPS
#define GPS

#define VALID_GPS(gps)	(gps.fix=='1' || gps.fix=='2' || gps.fix=='3')


//    last two bytes after the * are the checksum
//    of the string between '$' and '*'
//    char str[] = "PSRF103,04,00,10,00";
//    unsigned char ival = 0;
//    for(int i = 0; i < strlen(str);i++ ) ival ^= str[i];
//    printf("%x\n",ival );
//
#define GPS_CHECKSUM(mstr, mx)  {mx=0; for(int mi = 0; mi < strlen(mstr);mi++ ) mx ^= mstr[mi];}
void config_gps_msgs(unsigned char const type, unsigned char const freq);

void disable_all_gps_msgs(void);
void enable_gps_rmc_msgs(unsigned char freq);
void disable_gps_rmc_msgs(void);
void enable_gps_gga_msgs(unsigned char freq);
void disable_gps_gga_msgs(void);

#endif
